Skip to main content

Transactions by Hash

Use this endpoint to fetch up to 20 indexed transactions by hash.

Network
FastNear API keyNo saved key
Get API key
Endpointhttps://tx.main.fastnear.com
Authnone detected
Live Response

Responses from the selected endpoint appear here after you run a request.

Live response output will appear here after you run a request.

Request reference

application/json

This operation performs POST /v0/transactions with an application/json request body.

Required request inputs: yes

POST /v0/transactions
{
  "tx_hashes": [
    "FDrh13CdfGPXsmwUpZLfkZCoXWfpQmaFGj4zYWc1qfh",
    "Eq1a46bynaBAjoSxd2XGWdCxkZdrMvN9jMZVdZfPSjM5"
  ]
}

Request body schema

objectTxInput
requires tx_hashes
tx_hashes *array
itemsstring

Response reference

200 application/json

Matching transactions

Response schema

objectTransactionsResponse
requires transactions
transactions *array
itemsobject